Loading...
Searching...
No Matches
AVDOVIDmLevel8 Struct Reference

`#include <libavutil/dovi_meta.h>`

## Data Fields

uint8_t | target_display_index
uint16_t | trim_slope
uint16_t | trim_offset
uint16_t | trim_power
uint16_t | trim_chroma_weight
uint16_t | trim_saturation_gain
uint16_t | ms_weight
uint16_t | target_mid_contrast
uint16_t | clip_trim
uint8_t | saturation_vector_field [6]
uint8_t | hue_vector_field [6]

## Detailed Description

Definition at line 248 of file dovi_meta.h.

## Field Documentation

## target_display_index

uint8_t AVDOVIDmLevel8::target_display_index

Definition at line 250 of file dovi_meta.h.

## trim_slope

uint16_t AVDOVIDmLevel8::trim_slope

Definition at line 251 of file dovi_meta.h.

## trim_offset

uint16_t AVDOVIDmLevel8::trim_offset

Definition at line 252 of file dovi_meta.h.

## trim_power

uint16_t AVDOVIDmLevel8::trim_power

Definition at line 253 of file dovi_meta.h.

## trim_chroma_weight

uint16_t AVDOVIDmLevel8::trim_chroma_weight

Definition at line 254 of file dovi_meta.h.

## trim_saturation_gain

uint16_t AVDOVIDmLevel8::trim_saturation_gain

Definition at line 255 of file dovi_meta.h.

## ms_weight

uint16_t AVDOVIDmLevel8::ms_weight

Definition at line 256 of file dovi_meta.h.

## target_mid_contrast

uint16_t AVDOVIDmLevel8::target_mid_contrast

Definition at line 257 of file dovi_meta.h.

## clip_trim

uint16_t AVDOVIDmLevel8::clip_trim

Definition at line 258 of file dovi_meta.h.

## saturation_vector_field

uint8_t AVDOVIDmLevel8::saturation_vector_field[6]

Definition at line 259 of file dovi_meta.h.

## hue_vector_field

uint8_t AVDOVIDmLevel8::hue_vector_field[6]

Definition at line 260 of file dovi_meta.h.

The documentation for this struct was generated from the following file:

- libavutil/dovi_meta.h